import { _decorator, Component, Node } from 'cc';
import { GameMenu } from './GameMenu';
const { ccclass, property } = _decorator;

@ccclass('TopMenu')
export class TopMenu extends Component {
    private _gameMenu: GameMenu = null;
    protected onLoad(): void {
        this._gameMenu = this.node.parent.getChildByName("GameMenu").getComponent(GameMenu);
    }
    start() {

    }

    update(deltaTime: number) {
        
    }

    setting(){
        this._gameMenu.show();
    }
}


